Results 1 to 2 of 2

Thread: (12.04) Broken Dependencies (libcairo)

  1. #1
    Join Date
    Jul 2011
    Beans
    5

    (12.04) Broken Dependencies (libcairo)

    Hey there, everybody.
    Fairly decent user of Ubuntu, I've been running it since 10.04 and have gotten reasonably familiar with most aspects of day-to-day use. Recently I installed the new Intel graphics package manager, in the hopes that it would improve my experience with my Ironlake Mobile graphics card. At some point during the upgrade process being run by this app, something broke. Now, I have an error telling me that libcairo is broken twice. I have two separate broken dependency errors, and neither one seems fixable. libcairo2 breaks libcairo2:i386, and libcairo2:i386 breaks libcairo2. However, neither can be repaired using the package manager, and when attempting to uninstall either one, I am told that a HUGE amount of other packages depend on it, and will thus also be marked for uninstallation. apt-get install -f doesn't help, apt-get autoremove doesn't help, nothing I have tried works and it is preventing me from updating/installing any other package. What do I do in this situation?

  2. #2
    Join Date
    Apr 2011
    Location
    Cinnamon land
    Beans
    359
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: (12.04) Broken Dependencies (libcairo)

    Hi
    Did you follow instructions like these? http://www.webupd8.org/2013/03/intel...s-drivers.html

    I heard about it too, had the same problem, and then I resolved it somehow. Have you tried removing intel's software source and anything it installed?
    I think it cleared after I did a couple of reboots...

    EDIT: From the webupd8 comments:
    Update: It seems the bold text above isn't enough so here's again, in bold + red: do not install this on Ubuntu 64bit yet (I don't know about Fedora and Ubuntu 32bit, but on Ubuntu 64bit, there are some multi-arch dependency issues which can break you system)!
    Is that on 64bit? If so, it may be the same multiarch issue which I've encountered, although the Intel installer simply displayed a message saying that the drivers couldn't be upgraded, it didn't try to remove anything. And from the command line, "sudo apt-get dist-upgrade" wanted to remove a bunch of stuff so I didn't continue with the installation. If that's the case for anyone else, simply do not proceed with the installation and disable the Intel repository (gksu gedit /etc/apt/sources.list.d/intellinuxgraphics.list and add a "#" in front of the only line in that file, then run "sudo apt-get update").
    There's plenty of advice there if you need it, a lot of other people acted like us and didn't read the post properly
    Last edited by blackbird34; March 15th, 2013 at 02:47 PM.
    Ubuntu Manual - Good Tutorials
    Webupd8 - Cinnamon! - Synapse
    Some just want to watch the world LEARN


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •